namespace EDPlayerJournal.Entries;

public class MultiSellExplorationDataEntry : Entry {
    protected override void Initialise() {
        TotalEarnings = JSON.Value<long?>("TotalEarnings") ?? 0;
        BaseValue = JSON.Value<long?>("BaseValue") ?? 0;
        Bonus = JSON.Value<long?>("Bonus") ?? 0;
    }

    public long Total {
        get { return BaseValue + Bonus; }
    }

    public long BaseValue { get; set; } = 0;

    public long Bonus { get; set; } = 0;

    /// <summary>
    /// Total Earnings are the actual earnings without bonus. So this
    /// value is BaseValue minus any percent a crew pilot takes.
    /// </summary>
    public long TotalEarnings { get; set; } = 0;
}
